//определение мобильных браузеров
var isMobile = {
    Android: function() {
        return navigator.userAgent.match(/Android/i);
    },
    BlackBerry: function() {
        return navigator.userAgent.match(/BlackBerry/i);
    },
    iOS: function() {
        return navigator.userAgent.match(/iPhone|iPad|iPod/i);
    },
    Opera: function() {
        return navigator.userAgent.match(/Opera Mini/i);
    },
    Windows: function() {
        return navigator.userAgent.match(/IEMobile/i);
    },
    any: function() {
        return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
    }
};


(function() {
    var w = window.innerWidth;

    if ((w < 800 && getCookie("v_general") != 1 ) || getCookie("v_mobile") == 1 || (isMobile.any() && getCookie("v_general") != 1 )) {
        mobileView();
    } else if (getCookie("v_mobile") == 0) {
        generalView();
    }
    else {
        generalView();
    }


    if (getCookie("v_spec") == 1) {
        //переход в спецверсию
        addHtmlClassName('special');
    }


    if (getCookie("s_char") == -1) {
        //переход в спецверсию
        addHtmlClassName('s_smallchar');
    }


    if (getCookie("s_char") == 0) {
        //переход в спецверсию
        addHtmlClassName('s_normalchar');
    }


    if (getCookie("s_char") == 1) {
        //переход в спецверсию
        addHtmlClassName('s_bigchar');
    }


    if (getCookie("s_color") == 1) {
        //переход в спецверсию
        addHtmlClassName('s_white');
    }


    if (getCookie("s_color") == 0) {
        //переход в спецверсию
        addHtmlClassName('s_black');
    }


    if (getCookie("s_img") == 1) {
        //переход в спецверсию
        addHtmlClassName('s_chimg');
    }


    if (getCookie("s_img") == 0) {
        //переход в спецверсию
        addHtmlClassName('s_noimg');
    }
})();



// переходим в мобильный вид
function mobileView() {
    var viewPortTag=document.createElement('meta');

    viewPortTag.id="viewport";
    viewPortTag.name = "viewport";
    viewPortTag.content = "width=640";
    document.getElementsByTagName('head')[0].appendChild(viewPortTag);

    addHtmlClassName('mobile');
}


// переходим в обычный вид
function generalView() {
    var viewPortTag=document.createElement('meta');

    viewPortTag.id="viewport";
    viewPortTag.name = "viewport";
    viewPortTag.content = "width=device-width, initial-scale=1";
    document.getElementsByTagName('head')[0].appendChild(viewPortTag);

    addHtmlClassName('general');
}


//добавление класса к тэгу html
function addHtmlClassName(classname) {
    var htmlTag = document.getElementsByTagName('html')[0];

    if (htmlTag.classList) {
        htmlTag.classList.add(classname);
    } else {
        htmlTag.className += ' ' + classname;
    }
}


// возвращает cookie с именем name, если есть, если нет, то undefined
function getCookie(name) {
  var matches = document.cookie.match(new RegExp(
    "(?:^|; )" + name.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, '\\$1') + "=([^;]*)"
  ));
  return matches ? decodeURIComponent(matches[1]) : undefined;
}


